<template>
  <v-container fluid>
    <h1>And sometimes Vuex is over engineering</h1>

    <my-table-wrapper :items="users"/>

  </v-container>
</template>

<script>
import { getUsers } from '../api'
import MyTableWrapper from '../components/myTableWrapper'

export default {
  name: 'NoVuex',
  components: { MyTableWrapper },
  data () {
    return {
      users: []
    }
  },

  async created () {
    this.users = await getUsers()
  }
}
</script>
